import * as moment from 'moment';
import { BaseEntity, Column, CreateDateColumn, UpdateDateColumn } from 'typeorm';

export abstract class BaseModel extends BaseEntity {
  @Column({
    type: 'char',
    length: 50,
    default: moment().utcOffset(0).format('YYYY-MM-DD HH:mm:ss'),
  })
  timestamp: string;

  @CreateDateColumn({
    type: 'char',
    length: 50,
    default: moment().utcOffset(0).format('YYYY-MM-DD HH:mm:ss'),
  })
  created_at: string;

  @UpdateDateColumn({
    type: 'char',
    length: 50,
    default: moment().utcOffset(0).format('YYYY-MM-DD HH:mm:ss'),
  })
  updated_at: string;
}
